#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 websockets
version:              0.12.7.2
visibility:           public
id:                   websockets-0.12.7.2-CLSvFP3uspb7tqyEasZ74f
key:                  websockets-0.12.7.2-CLSvFP3uspb7tqyEasZ74f
license:              BSD-3-Clause
copyright:
    (c) 2010-2011 Siniša Biđin
    (c) 2011-2018 Jasper Van der Jeugt
    (c) 2011 Steffen Schuldenzucker
    (c) 2011 Alex Lang

maintainer:           Jasper Van der Jeugt <m@jaspervdj.be>
author:
    Siniša Biđin <sinisa@bidin.cc>
    Jasper Van der Jeugt <m@jaspervdj.be>
    Steffen Schuldenzucker <steffen.schuldenzucker@googlemail.com>
    Alex Lang <lang@tsurucapital.com>

stability:            experimental
homepage:             http://jaspervdj.be/websockets
synopsis:
    A sensible and clean way to write WebSocket-capable servers in Haskell.

description:
    This library allows you to write WebSocket-capable servers.

    An example server:
    <https://github.com/jaspervdj/websockets/blob/master/example/server.lhs>

    An example client:
    <https://github.com/jaspervdj/websockets/blob/master/example/client.hs>

    See also:

    * The specification of the WebSocket protocol:
    <http://www.whatwg.org/specs/web-socket-protocol/>

    * The JavaScript API for dealing with WebSockets:
    <http://www.w3.org/TR/websockets/>

category:             Network
abi:                  21fdc4f66259cd6e5f26febd1476dbbc
exposed:              True
exposed-modules:
    Network.WebSockets Network.WebSockets.Client
    Network.WebSockets.Connection Network.WebSockets.Extensions
    Network.WebSockets.Stream

hidden-modules:
    Network.WebSockets.Connection.Options
    Network.WebSockets.Extensions.Description
    Network.WebSockets.Extensions.PermessageDeflate
    Network.WebSockets.Extensions.StrictUnicode Network.WebSockets.Http
    Network.WebSockets.Hybi13 Network.WebSockets.Hybi13.Demultiplex
    Network.WebSockets.Hybi13.Mask Network.WebSockets.Protocol
    Network.WebSockets.Server Network.WebSockets.Types

import-dirs:          /usr/lib/ghc-8.10.3/site-local/websockets-0.12.7.2
library-dirs:         /usr/lib/ghc-8.10.3/site-local/websockets-0.12.7.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/websockets-0.12.7.2
hs-libraries:         HSwebsockets-0.12.7.2-CLSvFP3uspb7tqyEasZ74f
depends:
    SHA-1.6.4.4-5FIK7Bs8eLkISed49HyXzA
    async-2.2.2-Ga7skT6sa0M3xMboL4eTgj
    attoparsec-0.13.2.4-3KIunrRLdh4G7KtfrdatRR base-4.14.1.0
    base64-bytestring-1.2.0.1-gzo5snLb2A1r7rY3iNUi binary-0.8.8.0
    bytestring-0.10.12.0
    case-insensitive-1.2.1.0-FNPG7Elx0ENFGNzs8Np9J7
    clock-0.8.2-23jAxMSYtZV9ApIF2r8QTp containers-0.6.2.1
    entropy-0.4.1.6-6Z0sejCw1fy7sJ1AU1oQ6y
    network-3.1.2.1-IKBKB32QfOpBaCdBzK7XSA
    random-1.2.0-30OhcoBMr9kCHjpVnmjVCw
    streaming-commons-0.2.2.1-AxlUv0Af44C74RTmGVbupD text-1.2.4.1

haddock-interfaces:   /usr/share/doc/haskell-websockets/html/websockets.haddock
haddock-html:         /usr/share/doc/haskell-websockets/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

